%global zip_name Oplop

Name:           python-oplop
Version:        1.6.1
Release:        5%{?dist}
Summary:        Generate account passwords based on account nicknames

Group:          Development/Libraries
License:        ASL 2.0
URL:            https://github.com/brettcannon/oplop
Source0:        http://pypi.python.org/packages/source/O/%{zip_name}/%{zip_name}-%{version}.zip
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:      noarch
BuildRequires:  python python3-devel
Requires:       xclip

%description
Using a single master password and various nicknames, one can create an
infinite number of unique account passwords. These unique account passwords
are commonly called password hashes, domain-specific passwords, or per-site
passwords.

%prep
%setup -qn %{zip_name}-%{version}
cp -p %SOURCE1 .

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README LICENSE LICENSE-2.0.txt
%{python_sitelib}/%{zip_name}-%{version}-py*.egg-info
%{python_sitelib}/oplop/
%{_bindir}/oplop

%changelog
* Thu Dec 26 2013 Abdel Martínez <potty@fedoraproject.org> - 1.6.1-5
- Remove clean section.
- Remove BuildRoot.
- Remove macros.

* Tue Mar 12 2013 Abdel Martínez <potty@fedoraproject.org> - 1.6.1-4
- Change package name.
- Add license boiler plate.
- Change URL.

* Mon Mar 4 2013 Abdel Martínez <potty@fedoraproject.org> - 1.6-2
- Change release section.

* Sat Sep 22 2012 Abdel Martínez <potty@fedoraproject.org> - 1.6-2
- Remove superfluous requirement.

* Fri Aug 24 2012 Abdel Martínez <potty@fedoraproject.org> - 1.6-1.1
- Change requires to python2.
- Verify docs section.
- Modify install section.
- Remove macro and clean sections.

* Thu Mar 22 2012 Abdel Martínez <potty@fedoraproject.org> - 1.6-1
- First package build.
